vmmlib-devel-1.8.0-lp150.5.1.x86_64.rpm


Advertisement

Description

vmmlib-devel - Development files for vmmlib

Property Value
Distribution openSUSE Leap 15.0
Repository Packman all
Package name vmmlib-devel
Package version 1.8.0
Package release lp150.5.1
Package architecture x86_64
Package type rpm
Installed size 1.04 MB
Download size 125.04 KB
Official Mirror packman.inode.at
This package contains header files and libraries needed to develop
application that use vmmlib.

Alternatives

Package Version Architecture Repository
vmmlib-devel-1.8.0-lp150.5.1.aarch64.rpm 1.8.0 aarch64 Packman
vmmlib-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libboost_test-devel -

Provides

Name Value
pkgconfig(vmmlib) = 1.8.0
vmmlib-devel = 1.8.0-lp150.5.1
vmmlib-devel(x86-64) = 1.8.0-lp150.5.1

Download

Type URL
Binary Package vmmlib-devel-1.8.0-lp150.5.1.x86_64.rpm
Source Package vmmlib-1.8.0-lp150.5.1.src.rpm

Install Howto

  1. Add the Packman repository:
    # zypper addrepo http://packman.inode.at/suse/openSUSE_Leap_15.0/ packman
  2. Install vmmlib-devel rpm package:
    # zypper install vmmlib-devel

Files

Path
/usr/include/vmmlib/aabb.hpp
/usr/include/vmmlib/blas_daxpy.hpp
/usr/include/vmmlib/blas_dgemm.hpp
/usr/include/vmmlib/blas_dot.hpp
/usr/include/vmmlib/blas_includes.hpp
/usr/include/vmmlib/blas_types.hpp
/usr/include/vmmlib/clapack.h
/usr/include/vmmlib/cp3_tensor.hpp
/usr/include/vmmlib/enable_if.hpp
/usr/include/vmmlib/exception.hpp
/usr/include/vmmlib/f2c.h
/usr/include/vmmlib/frustum.hpp
/usr/include/vmmlib/frustum_culler.hpp
/usr/include/vmmlib/intersection.hpp
/usr/include/vmmlib/jacobi_solver.hpp
/usr/include/vmmlib/lapack.hpp
/usr/include/vmmlib/lapack_gaussian_elimination.hpp
/usr/include/vmmlib/lapack_includes.hpp
/usr/include/vmmlib/lapack_linear_least_squares.hpp
/usr/include/vmmlib/lapack_svd.hpp
/usr/include/vmmlib/lapack_sym_eigs.hpp
/usr/include/vmmlib/lapack_types.hpp
/usr/include/vmmlib/linear_least_squares.hpp
/usr/include/vmmlib/lowpass_filter.hpp
/usr/include/vmmlib/math.hpp
/usr/include/vmmlib/matrix.hpp
/usr/include/vmmlib/matrix_functors.hpp
/usr/include/vmmlib/matrix_pseudoinverse.hpp
/usr/include/vmmlib/matrix_traits.hpp
/usr/include/vmmlib/qr_decomposition.hpp
/usr/include/vmmlib/qtucker3_tensor.hpp
/usr/include/vmmlib/quaternion.hpp
/usr/include/vmmlib/svd.hpp
/usr/include/vmmlib/t3_converter.hpp
/usr/include/vmmlib/t3_hooi.hpp
/usr/include/vmmlib/t3_hopm.hpp
/usr/include/vmmlib/t3_hosvd.hpp
/usr/include/vmmlib/t3_ihooi.hpp
/usr/include/vmmlib/t3_ihopm.hpp
/usr/include/vmmlib/t3_ttm.hpp
/usr/include/vmmlib/t4_converter.hpp
/usr/include/vmmlib/t4_hooi.hpp
/usr/include/vmmlib/t4_hosvd.hpp
/usr/include/vmmlib/t4_ttm.hpp
/usr/include/vmmlib/tensor3.hpp
/usr/include/vmmlib/tensor3_iterator.hpp
/usr/include/vmmlib/tensor4.hpp
/usr/include/vmmlib/tensor_mmapper.hpp
/usr/include/vmmlib/tensor_stats.hpp
/usr/include/vmmlib/tucker3_exporter.hpp
/usr/include/vmmlib/tucker3_importer.hpp
/usr/include/vmmlib/tucker3_tensor.hpp
/usr/include/vmmlib/tucker4_tensor.hpp
/usr/include/vmmlib/util.hpp
/usr/include/vmmlib/validator.hpp
/usr/include/vmmlib/vector.hpp
/usr/include/vmmlib/vector_traits.hpp
/usr/include/vmmlib/version.hpp
/usr/include/vmmlib/visibility.hpp
/usr/include/vmmlib/vmmlib.hpp
/usr/include/vmmlib/vmmlib_config.hpp
/usr/include/vmmlib/lapack/
/usr/include/vmmlib/lapack/detail/clapack.h
/usr/include/vmmlib/lapack/detail/f2c.h
/usr/lib64/pkgconfig/vmmlib.pc
/usr/share/vmmlib/
/usr/share/vmmlib/CMake/options.cmake
/usr/share/vmmlib/CMake/vmmlibConfig.cmake
/usr/share/vmmlib/CMake/vmmlibConfigVersion.cmake
/usr/share/vmmlib/doc/
/usr/share/vmmlib/tests/aabb.cpp
/usr/share/vmmlib/tests/frustum.cpp
/usr/share/vmmlib/tests/vector.cpp

Changelog

2015-05-16 - avvissu@yandex.ru
- Update to 1.8.0:
* provide option to find project via find_file
* added support for snapshot module
* remove OSS package targets from CommonCPack and use less disk
pace for non-OSS packages
* added TUVOK library
- Use fork instead of the original project: change url
- Add doc: Doxygen and other documentation
- Fix for RPMLINT W: Do not compile in DATE and TIME
- Use %%cmake macro instead of cmake
- Add check for duplicates, remove them and make symlinks
- Spec file cleanup
2014-10-30 - avvissu@yandex.ru
- Comment BuildRequires: f2c
- Spec file cleanup
2013-12-21 - avvissu@yandex.ru
- Initial Release 1.6.2

See Also

Package Description
vmmlib-doc-1.8.0-lp150.5.1.noarch.rpm Documentation for vmmlib
vobcopy-1.2.0-lp150.3.4.aarch64.rpm Vobcopy copies DVD .vob files to harddisk
vobcopy-1.2.0-lp150.3.5.x86_64.rpm Vobcopy copies DVD .vob files to harddisk
wineasio-0.9.2-lp150.3.12.x86_64.rpm ASIO to JACK driver for wine
winff-1.5.5-lp150.2.20.x86_64.rpm Multimedia File Converter
winff-lang-1.5.5-lp150.2.20.noarch.rpm Translations for package winff
wput-0.6.2-lp150.2.5.x86_64.rpm A utility for uploading files or whole directories to remote ftp-servers
wput-lang-0.6.2-lp150.2.5.noarch.rpm Translations for package wput
wxWidgets-wxcontainer-compat-lib-config-2.8.12-lp150.6.10.x86_64.rpm wxWidgets Library Compatibility Configuration
wxWidgets-wxcontainer-compat-lib-config-2.8.12-lp150.6.2.aarch64.rpm wxWidgets Library Compatibility Configuration
wxWidgets-wxcontainer-compat-lib-config-2.8.12-lp150.6.2.armv7hl.rpm wxWidgets Library Compatibility Configuration
wxWidgets-wxcontainer-devel-2.8.12-lp150.6.10.x86_64.rpm Everything needed for development with wxWidgets
wxWidgets-wxcontainer-devel-2.8.12-lp150.6.2.aarch64.rpm Everything needed for development with wxWidgets
wxWidgets-wxcontainer-devel-2.8.12-lp150.6.2.armv7hl.rpm Everything needed for development with wxWidgets
wxWidgets-wxcontainer-plugin-sound_sdlu-2_8-wxcontainer-2.8.12-lp150.6.10.x86_64.rpm wxWidgets SDL Plugin
Advertisement
Advertisement